# Uses of Enum
org.apache.avro.io.parsing.Symbol.Kind

Packages that use Symbol.Kind
Package
Description
org.apache.avro.io.parsing
Implementation of Avro schemas as LL(1) grammars.

## Uses of Symbol.Kind in org.apache.avro.io.parsing

Fields in org.apache.avro.io.parsing declared as Symbol.Kind
Modifier and Type
Field
Description
`final Symbol.Kind`
Symbol.`kind`
Methods in org.apache.avro.io.parsing that return Symbol.Kind
Modifier and Type
Method
Description
`static Symbol.Kind`
Symbol.Kind.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Symbol.Kind[]`
Symbol.Kind.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.avro.io.parsing with parameters of type Symbol.Kind
Modifier
Constructor
Description
`protected`
`Symbol(Symbol.Kind kind)`
Constructs a new symbol of the given kind `kind`.
`protected`
`Symbol(Symbol.Kind kind, Symbol[] production)`